package com.yonge.toolset.feign.config;

import feign.Logger;
import feign.RequestInterceptor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class FeignConfiguration {

	@Bean
	Logger.Level feignLoggerLevel() {
		// 这里记录所有，根据实际情况选择合适的日志level
		return Logger.Level.FULL;
	}

	@Bean
	public RequestInterceptor requestInterceptor(){
		return new RequestHeaderConfiguration();
	}
}
